Subject: Re: remote#branch

From: Andreas Ericsson <[email-masked]>
Date: Wed, 31 Oct 2007 22:07:33 +0100

Jeff King wrote:
> On Wed, Oct 31, 2007 at 08:28:36AM -0700, Linus Torvalds wrote:
> 
>> Because we don't care! This is *exactly* why I brought up the whole 
>> discussion about "interoperability with a web browser", and pointed out 
>> that there is no such thing *anyway*, since a GIT URL is generally not 
>> suitable for browsing _regardless_ of any encoding issues!
>>
>> So it doesn't matter one whit if a mail client recognizes GIT URL's or 
>> not! Because the mail client cannot do the right thing with them anyway, 
>> and would generally think that it's something that it should highlight so 
>> that you can browse it!
> 
> Two points:
> 
>  1. Just because _your_ mail client can't do anything useful with git
>     URLs^H^H^H^H repo specifications, doesn't mean that others can't.
> 
>  2. You are conflating syntax and semantics. Think of the task I
>     mentioned as two subtasks: pulling the location specifier from the
>     email, and then doing something useful with it (in this case,
>     git-cloning it it). The first subtask depends _only_ on a parseable
>     syntax. The user can provide the context necessary for accomplishing
>     the second subtask.
> 
> For example, consider a terminal that, upon pressing some keyboard
> combination, will highlight the first URL-ish looking blob on the
> screen, prompt you for a command, and then execute '$command $url'.  The
> terminal doesn't have to know the semantics of the blob, but it has to
> know the syntax. The user provides the semantics.
> 
> And yes, such a terminal exists, and I'm using it right now.
> 

Great. Now you just need a git-repo with an url that needs quoting, and
this discussion could at least potentially solve a real problem for someone.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231